DataParametersInfo< BlockSize, KeyLength, DigestSize, SaltSize, Iterations > Struct Template Reference

Algorithm information for password-based encryptors and decryptors. More...

`#include <default.h>`

Inheritance diagram for DataParametersInfo< BlockSize, KeyLength, DigestSize, SaltSize, Iterations >:

## Static Public Attributes

static const int | BLOCKSIZE = BlockSize
static const int | KEYLENGTH = KeyLength
static const int | SALTLENGTH = SaltSize
static const int | DIGESTSIZE = DigestSize
static const int | ITERATIONS = Iterations

## Detailed Description

template<unsigned int BlockSize, unsigned int KeyLength, unsigned int DigestSize, unsigned int SaltSize, unsigned int Iterations>
struct DataParametersInfo< BlockSize, KeyLength, DigestSize, SaltSize, Iterations >

Algorithm information for password-based encryptors and decryptors.

Definition at line 57 of file default.h.

## Member Data Documentation

## BLOCKSIZE

template<unsigned int BlockSize, unsigned int KeyLength, unsigned int DigestSize, unsigned int SaltSize, unsigned int Iterations>

const int DataParametersInfo< BlockSize, KeyLength, DigestSize, SaltSize, Iterations >::BLOCKSIZE = BlockSize

static

Definition at line 59 of file default.h.

## KEYLENGTH

template<unsigned int BlockSize, unsigned int KeyLength, unsigned int DigestSize, unsigned int SaltSize, unsigned int Iterations>

const int DataParametersInfo< BlockSize, KeyLength, DigestSize, SaltSize, Iterations >::KEYLENGTH = KeyLength

static

Definition at line 60 of file default.h.

## SALTLENGTH

template<unsigned int BlockSize, unsigned int KeyLength, unsigned int DigestSize, unsigned int SaltSize, unsigned int Iterations>

const int DataParametersInfo< BlockSize, KeyLength, DigestSize, SaltSize, Iterations >::SALTLENGTH = SaltSize

static

Definition at line 61 of file default.h.

## DIGESTSIZE

template<unsigned int BlockSize, unsigned int KeyLength, unsigned int DigestSize, unsigned int SaltSize, unsigned int Iterations>

const int DataParametersInfo< BlockSize, KeyLength, DigestSize, SaltSize, Iterations >::DIGESTSIZE = DigestSize

static

Definition at line 62 of file default.h.

## ITERATIONS

template<unsigned int BlockSize, unsigned int KeyLength, unsigned int DigestSize, unsigned int SaltSize, unsigned int Iterations>

const int DataParametersInfo< BlockSize, KeyLength, DigestSize, SaltSize, Iterations >::ITERATIONS = Iterations

static

Definition at line 63 of file default.h.

The documentation for this struct was generated from the following file:

- default.h